@charset "UTF-8";
.bedy_typetest{
     background-color:#f9f4ee;
}

.zen-maru-gothic-regular {
  font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.zen-maru-gothic-medium {
  font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.zen-maru-gothic-bold {
  font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.zen-maru-gothic-black {
  font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
  font-weight: 900;
  font-style: normal;
}

.modal_typetest{
    display: none;
    position: fixed;
    top: 0;
    height: 100vh;
    width: 100%;
    z-index: 100;
  }

  .modal_typetest.active{
    display: block;
  }
.modal_typetest_content{
    display: none;
}
  .modal-bg {
      position: absolute;
      height: 100vh;
      width: 100%;
      background: rgba(0, 0, 0, 0.8);
    }
  
  .blur.is-modal-open {
      -webkit-filter: blur(3px);
      -moz-filter: blur(3px);
      -ms-filter: blur(3px);
      filter: blur(3px);
    }
  
@media print, screen and (min-width: 768px) {
    

/* btn01---------------------- */
.btn01-wrap{
    position: absolute;
    text-align: center;
    display: flex;
    justify-content: space-between;
    width: 443px;
    margin-left: auto;
    bottom: -67px;
    right:10px;
    z-index: 5;
    transition: all .2s;
}
.btn01-wrap.anime_on{
    opacity: 0;
}
.btn01-wrap.anime_on_2{
    opacity: 0;
}

.btn01-wrap a{
    text-decoration: none;
}
.btn01{
    text-align: center;
    width: 216px;
    padding: 10px;
    border-radius: 35px;
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
    box-shadow: 3px 3px 3px #ccc;
    position: sticky;
    top: 10px;
    transition: all .2s;
}
.btn01:hover{
    transform: translateX(1px) translateY(1px);
    box-shadow: 1px 1px 1px #999;
  
}
.btn01pink{
    background-color: #cf376e;
}
.btn01blue{
    background-color: #2371bc;
}

p,h2,h3{
font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
font-weight: 500;
font-style: normal;
font-size: 16px;
line-height: 30px;
color: #461e0a;
}


/* main
----------------------------------- */




/* hero
----------------------------------- */
.hero{
    width: auto;
    background-color: #f9f4ee;
    padding-top: 70px;
    padding-bottom: 30px;
    position: relative;
    overflow: hidden;
}

.main-ttl_wrap{
    width: 750px;
    margin: 0 auto;
    height: 380px;
    position: relative;
	transform: translatey(30px);
	opacity: 0;

}

.main-ttl_wrap.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }


.main-ttl img{
    text-align: center;
    margin: 0 auto;

}
.main-ttl-character{
  position: absolute;
  animation: wobble-hor-bottom 4s 2s both infinite;

}

.main-ttl-character01{
    bottom: 73px;
    left: 30px;
    width: 197px;
}
.main-ttl-character02{
    bottom: 27.5px;
    left: 240px;
    width: 157px;
}

.main-ttl-character03{
    bottom: 50px;
    left: 434px;
    width: 132px;
}

.main-ttl-character04{
    bottom: 25px;
    left: 595px;
    width: 131px;
}

.hero_text_wrap{
    position: relative;
    margin: 0 auto;
    text-align: center;
    z-index: 1;

}

.hero h2{
    font-size: 26px;
    line-height: 34px;
    font-weight: 700;

}
.hero h2 .strong{
    font-size: 35px;
    background: linear-gradient(transparent 60%, yellow 30%);
    display: inline-block;
}

.hero_taxt{
    margin-top: 20px;
}

.hero_back-illust_wrap{
    position: absolute;
    width: 1200px;
    height: 750px;
    top: 20px;
    left: 50%;
    z-index: 0;
    transform: translateX(-50%);

}
.hero_back-illust{
    position: absolute;
}
.hero_back-illust01{
    top: 40px;
    left:25px;
    width: auto;
}
.hero_back-illust02{
    top: 281px;
    right:30px;
    width: auto;
}
.hero_back-illust03{
    top: 390px;
    right:138px;
    width: auto;
}
.hero_back-illust04{
    top: 428px;
    left:62px;
    width: auto;
}
.hero_back-illust05{
    top: 328px;
    left:93px;
    width: auto;
}
.hero_back-illust06{
    top: 368px;
    left:150px;
    width: auto;
}
.hero_back-illust07{
    top: 10px;
    left:338px;
    width: auto;
}
.hero_back-illust08{
    top: 105px;
    left:523px;
    width: auto;
}
.hero_back-illust09{
    top: 113px;
    right:376px;
    width: auto;
}
.hero_back-illust10{
    top: 124px;
    right:121px;
    width: auto;
}
.hero_back-illust11{
    top: 222px;
    right:139px;
    width: auto;
}
.hero_back-illust12{
    top: 165px;
    right:64px;
    width: auto;
}

.hero_btn01-wrap{
    margin: 15px auto ;
    width: 510px;
    text-align: center;
    position: relative;
    z-index: 1; 
}

.hero_btn01_header{
    color: #ec5760;
    font-size: 22px;
}

.hero_btn01{
   display: block;
   width: 500px;
   background-color: #ec5760;
   border: #461e0a 2px solid;
   border-radius: 25px;
   padding: 10px 0;
   margin-top: 5px;
   box-shadow: 5px 5px 5px #ccc;
   transition: all .2s;
   animation: shake-top 4s  both infinite;
}

.hero_btn01:hover{
    transform: translateX(2px) translateY(2px);
    box-shadow: 3px 3px 3px #999;
  
}

.hero_btn01_inner img{
    margin: 0 auto;
}

/* result
----------------------------------- */
.bold-line {
  position: relative;
  background-color: #fff;
  background-image:
    linear-gradient(-45deg,#461e0a 35%, transparent 35%,transparent 50%, #461e0a 50%,#461e0a 85%, transparent 85%,transparent);
  background-size: 20px 20px;
  height: 10px;
}
.result{
    position: relative;
    transform: translatey(100px);
    opacity: 0;

}
.result.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.result_part{
    padding: 15px 15px 20px;
}

.result_wrap{
    max-width: 1000px;
    text-align: center;
    margin: 0 auto;
}
.result_title{
    position: relative;
    height: 90px;
    width: 690px;
    margin: 0 auto;
    text-align: left;
}



.result_foldwrap
{
    display: none;
    padding-top: 30px;
}



.result_title::after{
    position: absolute;
    content: "+";
    font-family: YakuHanJP,sans-serif;
    font-weight: bold;
    color: #461e0a;
    font-size: 52px;
    top: 30px;
    right: 0;
    height: 50px;
    width: 50px;
}

.result_title.active::after{
   content: "-";
   
}

.result_lead{
    text-align: left;
    font-size: 20px;
    line-height: 32px;
}

.result_primary_wrap{
    width: 682px;
    height: 365px;
    margin: 0 auto;
    position: relative;
}
.result_character{
    position: absolute;
    animation: wobble-hor-bottom 4s both infinite;

}

.result_back_ill{
    position: absolute;
}


.result_columnlead{
    width: 100%;
    border: #461e0a solid 1px;
    text-align: center;
    font-size: 23px;
    font-weight: 700;
}
.arrow01{
    margin: 10px auto;
}

.result_column{
    display: flex;
    justify-content: space-between;
    text-align: left;
    position: relative;
    margin-top: 20px;
}

.result_column_content{
    width: 315px;
    display: flex;
    flex-direction: column;
    border: #461e0a 1px solid;
    border-top-right-radius: 50px;
    background-color: rgb(255 255 255 / 0.7);
    position: relative;
    padding-top: 17px;
    margin-bottom: 30px;
    margin-left: 3px;
    margin-right: 3px;
}

.content-txt_head{
    position: absolute;
    top: -16px;
    left: 16px;
    padding: 5px 10px;
    display: inline-block;
    background-color: #461e0a;
    color: #fff;
    border-radius: 12px;
    font-size: 15px;
    line-height: 15px;
    font-weight: 700;
}
.content-txt_head::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  border-style: solid;
  border-width: 8px 0 0 8px;
  border-color: #461e0a transparent transparent;
  translate: calc(-50% + 0.4px) 100%;
}

.content-txt_ttl{
    font-size: 25px;
    font-weight: 700;
    padding-left: 16px;
    padding-bottom: 10px;
    border-bottom: #461e0a 2px dashed ;
}

.content-txt{
    padding: 10px 15px;
    text-align: justify;
    letter-spacing: -0.01em;
}
.content-txt .asterisk{
    font-size: 13px;
    vertical-align: top;
}
.note{
    text-indent: -13px;
    padding: 0px 15px 15px 28px ;
    font-size: 13px;
    line-height: 20px;
    font-weight: 700;
    letter-spacing: -0.02em;
}
.result_column_img_wrap{
    text-align: center;
    margin-top: auto;
    position: relative;
}
.result_column_illust{
    position: absolute;
    right: -5px;
    top: -15px;
}

/* resultA
----------------------------------- */
.resultA{
    background-color: #ffffa3;
}
.result_characterA{
    position: absolute;
    top:0;
    left: 360px;
    width: 284px;
}
.resultA_back_ill_01{
    top: 0;
    right: 20px;
    width: auto;
}
.resultA_back_ill_02{
    top: 100px;
    left: 290px;
    width: auto;
}
.resultA_back_ill_03{
    top: 176px;
    right: 20px;
    width: auto;
}

/* resultB
----------------------------------- */
.resultB{
    background-color: #f4cdc9;
}
.result_characterB{
    position: absolute;
    top:0;
    left: 438px;
    width: 173px;
}
.resultB_back_ill_01{
    top: 12px;
    left: 370px;
    width: auto;
}
.resultB_back_ill_02{
    top: 144px;
    right: 0px;
    width: auto;
}
.resultB_back_ill_03{
    top: 264px;
    left: 300px;
    width: auto;
}
.content-txt_B-02_Wrap{
    display: flex;
    padding: 0 10px;
    justify-content: space-between;
    margin-top: 12px;
}
.content-txt_B-02_inner{
    max-width: 140px;
    padding: 5px;
    background-color: #f4cdc9;
}

.content-txt_B-02_inner_r{
    margin-left: 3px;
}
.content-txt_B-02_inner_ill{
    display: block;
    margin: 0 auto;
}
.content-txt_B-02_head{
    text-align: center;
    font-size: 18px;
    font-weight: 700;
}
.content-txt_B-02_txt{
    text-align: justify;
    font-size: 14px;
    line-height: 20px;
}
.content-txt_B-02_note{
    text-align: justify;
    font-size: 12px;
    line-height: 17px;
    text-indent: -13px;
    padding: 0px 0px 0px 13px ;
}
.resultB_column01_illust01{
    top: 10px;
    right: -5px;
}
.resultB_column02_illust01{
    top: 8px;
    right: -10px;
}
.resultB_column03_illust01{
    top: 10px;
    right: -5px;
}
.resultB_column03_img01{
    position: absolute;
    bottom: -40px;
    left: 15px;
}

/* resultC
----------------------------------- */
.resultC{
    background-color: #dbf5b8;
}
.result_characterC{
    position: absolute;
    top:0;
    left: 390px;
    width: 220px;
}
.resultC_back_ill_01{
    top: 135px;
    left: 340px;
    width: auto;
}
.resultC_back_ill_02{
    top: 30px;
    right: 0px;
    width: auto;
}
.resultC_back_ill_03{
    top: 264px;
    right: 0px;
    width: auto;
}

.content-txt_ttl_C-02{
    text-indent: 7px;
    padding-left: 5px;
}

.content-txt_ttl_C-02 span{
    font-size: 14px;
    letter-spacing: -0.02em;
}

/* resultD
----------------------------------- */
.resultD{
    background-color: #c9eff4;
}
.result_characterD{
    position: absolute;
    top:0;
    left: 450px;
    width: 161px;
}
.resultD_back_ill_01{
    top: 135px;
    left: 340px;
    width: auto;
}
.resultD_back_ill_02{
    top: 70px;
    right: 0px;
    width: auto;
}
.resultD_back_ill_03{
    top: 264px;
    right: 0px;
    width: auto;
}

.resultD_column01_illust01{
    top: 15px;
    right: -10px;
}

.resultD_column02_illust01{
    top: 10px;
    right: -10px;
}

/*explanation
----------------------------------- */
.explanation{
    background-color: #f9f4ee;
    text-align: center;
    padding-top: 30px;
    padding-bottom: 130px;
}
.explanation_subttl{
    font-size: 28px;
    font-weight: 700;
    letter-spacing: -0.02em;
    transform: translatey(100px);
	opacity: 0;
}
.explanation_subttl.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.explanation_ttl{
    text-indent: 30px;
    font-size: 55px;
    font-weight: 700;
    line-height: 55px;
    background: linear-gradient(transparent 40%, yellow 30%);
    display: inline-block;
    margin-top: 20px;
    transform: translatey(100px);
	opacity: 0;
}
.explanation_ttl.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.catalog_ttl{
    position: relative;
    margin: 0 auto;
    font-size: 26px;
    border: #461e0a 1px solid;
    width: 350px;
    height: 40px;
    padding: 4px 0 3px;
    font-weight: 700;

}

.catalog_ttl::after{
    position: absolute;
    content: "";
    top: 2px;
    left: 2px;
    width: 350px;
    height: 40px;
    border: #461e0a 1px solid;
}
.catalog_lead{
    margin-top: 20px;
    font-size: 18px;
    font-weight: 700;
}


.catalog-container{
    width: 100%;
    position: relative;
    z-index: 1;
    margin-top: 50px;
    transform: translatey(100px);
	opacity: 0;
}

.catalog-container.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

   

.catalog-content{
margin: 20px auto 0;
max-width: 100%;

} 


.catalog-content::-webkit-scrollbar {
    width: 0;
  }
  
  .catalog-content::-webkit-scrollbar-track {
    background-color: #e4e4e4;
    border-radius: 100px;
  }
  
  .catalog-content::-webkit-scrollbar-thumb {
    background-color: #ed8d00;
    border-radius: 100px;
  }
  
.catalog-content-part{
    width: 184px;
    margin: 5px 10px 20px;
}
.ccp-p{
    width: 180px;
    border: #000 1px solid;
    overflow: hidden;
    background-color: #fff;
}
.catalog-cap{
    width: 180px;
    margin-top: 5px;
    font-size: 11.5px;
    line-height: 17.6px;
    letter-spacing: -0.02em;
    text-align: justify;
}

.swiper-button-prev,
.swiper-button-next {
position: absolute;
 width: 35px;
 height: 35px;
 cursor: pointer;
 display: flex;
 align-items: center;
 justify-content: center;
 width: 35px;
 height:  35px;
 background-size:  35px;
}
/* 次ページボタンのスタイル */
.swiper-button-next {
background-image: url(../img/typetest/typetest_scroll_next_pc.webp);
right: 30px;
top: 70px;
}
/* 前ページボタンのスタイル */
.swiper-button-prev {
background-image: url(../img/typetest/typetest_scroll_prev_pc.webp);
left: 30px;
top: 70px;
}
.swiper-button-prev:after,
.swiper-button-next:after {
 font-family: swiper-icons;
 font-size: var(--swiper-navigation-size);
 text-transform: none !important;
 letter-spacing: 0;
 text-transform: none;
 font-variant: initial;
}
.explanation_content_wrap{
    max-width: 1020px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 0 10px;
    margin: 0 auto 50px;
    transform: translatey(100px);
	opacity: 0;
}

.explanation_content_wrap.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }


.explanation_content_part{
    width: 475px;
    border: #461e0a solid 1px;
    border-radius: 33px;
    padding: 20px 40px;
    margin-top: 60px;
}
.explanation_content_part_head{
    display: inline-block;
    font-size: 20px;
    font-weight: 700;
    text-align: center;
    background-color: #f9f4ee;
    transform: translateY(-35px);
    padding: 0 10px;
}
.explanation_content_part_txt{
   text-align: justify;
   line-height: 25px;  
   margin-top: -30px;
}
.explanation_content_part_img{
    margin-top: 10px;
}

/* btn2---------------------- */
.btn02-wrap{
    margin: 30px auto;
    text-align: center;
    width: 500px;
    transform: translatey(100px);
	opacity: 0;
}
.btn02-wrap.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.btn02-wrap a{
    text-decoration: none;
}
.btn02{
    font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
    font-weight: 700;
    margin: 60px auto 0;
    text-align: center;
    width: 500px;
    padding: 15px;
    border-radius: 35px;
    color: #fff;
    text-decoration: none;
    font-size: 24px;
    font-weight: bold;
    box-shadow: 5px 5px 5px #ccc;
    transition: all .2s;
    background-color: #461e0a;
}
.btn02:hover{
    transform: translateX(2px) translateY(2px);
    box-shadow: 3px 3px 3px #999;
  
}
/*tokuten
----------------------------------- */
.tokuten{
    background-color: #eea17a;
    border-radius: 50vw 50vw 0 0 / 5vw 5vw 0 0;
    min-height: 300px;
    text-align: center;
    padding-top: 40px;
    padding-bottom: 40px;
    overflow: hidden;
    transform: translateY(-100px);
}


.tokuten_subttl{
    font-size: 36px;
    font-weight: 500;
    letter-spacing: -0.02em;
    color: #000;
    transform: translatey(100px);
	opacity: 0;
   
}
.tokuten_subttl.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }
.tokuten_ttl{
    text-indent: 30px;
    font-size: 45px;
    font-weight: 700;
    line-height: 45px;
    background: linear-gradient(transparent 40%, yellow 30%);
    display: inline-block;
    margin-top: 20px;
    color: #000;
    transform: translatey(100px);
	opacity: 0;
}
.tokuten_ttl.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.tokuten-content{
    max-width: 920px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 0 10px;
    margin: 30px auto 50px;
    transform: translatey(100px);
	opacity: 0;
}

.tokuten-content.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.main-ttl_wrap{
    width: 750px;
    margin: 0 auto;
    height: 380px;
    position: relative;
	transform: translatey(100px);
	opacity: 0;

}

.tokuten-content-part{
    margin-top: 30px;
    position: relative;
}
.tokuten-content-part01::after{
    position: absolute;
    content: "";
    background-image: url(../img/typetest/typetest_tokuten_img01_PC.webp);
    width: 89px;
    height: 92px;
    background-size: auto;
    background-repeat: no-repeat;
    top: -10px;
    right: -10px;

}
/*flow
----------------------------------- */
.nagare{
    background-color: #f9f4ee;
    text-align: center;
    padding-top: 60px;
    padding-bottom: 130px;
    margin-top: -120px;
    transform: translatey(100px);
	opacity: 0;
}
.nagare.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.nagare_subttl{
    color: #000;
    font-size: 27px;
    font-weight: 500;
}
.nagare_ttl{
    color: #000;
    font-size: 39px;
    font-weight: 500;
    margin-top: 10px;
}
.nagare_img{
    width: 622px;
    margin: 0 auto;
}
.nagare_cap{
    font-size:15px;
    margin-top: 10px;
    text-align: end;

}

/*sodan
----------------------------------- */
.sodan{
    background-color: #ffe784;
    border-radius: 50vw 50vw 0 0 / 5vw 5vw 0 0;
    min-height: 300px;
    text-align: center;
    padding: 40px 10px;
    overflow: hidden;
    transform: translateY(-100px);
}
.sodan_content{
    position: relative;
    max-width: 900px;
    margin: 0 auto;
    transform: translatey(100px);
	opacity: 0;
}
.sodan_content.anime_on {
	opacity: 1;
	transition: 0.8s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.sodan_ttl{
    margin-left: 55px;
    text-align: left;
}
.sodan_txt{
    margin-left: 55px;
    font-size: 19px;
    line-height: 28px;
    width: 353px;
    text-align: justify;
    margin-top: 30px;
}

.sodan_note{
    margin-left: 55px;
    font-size: 15px;
    line-height: 15px;
    text-align: left;
    margin-top: 30px;
}

.sodan_ill{
    position: absolute;
    top: 92px;
    right: 20px;
    width: 380px;
}
.sodan_img{
    margin-top: 120px;
}
.sodan-btn_wrap{
    text-decoration: none;
}
.sodan-btn{
    width: 560px;
    background-color: #d4466c;
    padding: 10px;
    font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
    font-weight: 700;
    font-size: 35px;
    line-height: 35px;
    color: #fff;
    border-radius: 30px;
    margin: 30px auto 0;
    box-shadow: 3px 3px 3px #ccc;
}
.sodan-btn:hover{
    transform: translateX(1px) translateY(1px);
    box-shadow: 1px 1px 1px #999;
  
}


/*totop_PC
----------------------------------- */
.totop-wrap_typetest{
  text-decoration: none;
}
.totop{
    position: relative;
    font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
    font-weight: 700;
    font-size: 37px;
    line-height: 37px;
    color: #e7541a;
    text-align: center;
}
.totop::after{
    position: absolute;
    content: "";
    background-image: url(../img/typetest/typetest_totopbtn_pc.webp);
    top:13px;
    right:40px;
    width: 33px;
    height: 33px;
    background-repeat: no-repeat;

}

/*footer_PC
----------------------------------- */
.footer-typetest{
    margin-top: -120px;
    background-color: #f9f4ee;
    padding-top: 70px;
}


/*modal_PC
----------------------------------- */

 
.typetest_modal_Q_wrap{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    width: 368px;
    height: 520px;
    background: url(../img/typetest/typetest_testback_01_sp.webp);
    background-size: cover;
    text-align: center;
    padding-top: 120px;
    padding-bottom: 50px;
    border-radius: 30px;
  }

  .typetest_modal_Q {
    font-size: 28px;
    line-height: 42px;

  }

  .typetest_modal_btn_wrap{
    margin-top: auto;
  }
  .typetest_modal_btn_y{
    font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
    font-weight: 700;
    width: 300px;
    height: 40px;
    font-size: 24px;
    color: #fff;
    background-color:#ec5760 ;
    border-radius: 30px;
    border: #461e0a 1px solid;
    margin: 0 auto;
    box-shadow: 4px 4px 4px #ccc;
  }

  .typetest_modal_btn_n{
    font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
    font-weight: 700;
    width: 300px;
    height: 40px;
    font-size: 24px;
    color: #fff;
    background-color:#459fd4 ;
    border-radius: 30px;
    border: #461e0a 1px solid;
    margin: 15px auto;
    box-shadow: 4px 4px 4px #ccc;
  }
  .typetest_modal_Q_wrap_close{
    position: absolute;
    width: 40px;
    height: 40px;
    top: 3%;
    right: 3%;
    text-decoration: none;
    font-size: 40px;
    line-height: 0.75;
    padding-top: 0;
    text-align: center;
    color: #000;

  }

  .typetest_modal_result_wrap{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    width: 368px;
    height: 520px;
    text-align: center;
    padding-top: 30px;
    padding-bottom: 10px;
    border-radius: 30px;
      
  }

   .typetest_modal_result_wrap_A{
      background-color: #ffffa3;
   }
   .typetest_modal_result_wrap_B{
    background-color: #f4cdc9;
    }
    .typetest_modal_result_wrap_C{
        background-color: #dbf5b8;
     }
     .typetest_modal_result_wrap_D{
        background-color: #c9eff4;
     }

     .typetest_modal_result_btn_wrap {
        margin-top: auto;
      }
      .foword_result {
        font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
        font-weight: 700;
        width: 340px;
        height: 38px;
        font-size: 19px;
        color: #fff;
        background-color:#461e0a;
        border-radius: 20px;
        margin: 0 auto;
        box-shadow: 4px 4px 4px #ccc;
        padding-top: 2px;
      }
    
      .foword_stert{
        font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
       font-weight: 700;
        width: 172px;
        height: 32px;
        font-size: 16px;
        color: #fff;
        background-color:#fff ;
        border-radius: 14px;
        border: #461e0a 1px solid;
        margin: 10px auto;
        box-shadow: 4px 4px 4px #ccc;
       }

       .typetest_modal_btn_y:hover,.typetest_modal_btn_n:hover,.foword_result:hover,.foword_stert:hover{
        transform: translateX(1px) translateY(1px);
        box-shadow: 1px 1px 1px #999;
      
    }
}
@media screen and (min-width: 767px) and (max-width: 1000px) {
    .explanation_content_wrap{
        max-width: 1000px;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        padding: 0 10px;
        margin: 0 auto 50px;
    }
    .explanation_content_part{
        max-width: 650px;
        border: #461e0a solid 1px;
        border-radius: 33px;
        padding: 20px 40px;
        margin-top: 60px;
    }
    .result_column_illust{
        zoom:90%;
    }
}

@media screen and (min-width: 767px) and (max-width: 935px) {
    .tokuten-content{
        justify-content: center;
    }
    .tokuten-content-part{
        margin-top: 30px;
        position: relative;
    }
    .tokuten-content-part img{
        max-width: 90%;
    }
}

@media print, screen and (min-width: 768px) and (max-width: 900px) {
    .result_part{
        zoom:90%;
    }
    .content-txt_head_D-01{
        transform: translateY(-10px);
    }
  }

  @media print, screen and (min-width: 768px) and (max-width: 880px) {
    .resultB_column01_illust01{
        zoom:75%;
        top: 25px;
    }
    .resultB_column02_illust01{
        zoom:70%;
        top: 25px;
    }
    .resultB_column03_illust01{
        zoom:78%;
        top: 25px;
    }
    .content-txt_ttl{
        font-size: 22px;
    }
    .resultD_column01_illust01{
        zoom:70%;
        top: 40px;
        right: -10px;
    }
    .sodan_ill {
        zoom:80%;
        top:121px;
        left: 534px;
    }
  }


/*SP
----------------------------------- */

@media screen and (max-width: 767px) {


p,h2,h3{
font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
font-weight: 500;
font-style: normal;
font-size: 4vw;
line-height: 6.6vw;
color: #461e0a;
}
/* btn */
.btn01-wrap{
    margin-top: 5vw;
    padding-top: 2.5vw;
    text-align: center;
    display: flex;
    justify-content: space-between;
    width: 58vw;
    margin-left: auto;
    transform: translateX(-5vw);
    position: absolute;
    bottom:-10vw;
    right: -2vw;
    
    z-index: 5;
    
}
.btn01-wrap.anime_on{
    opacity: 0;
}
.btn01-wrap.anime_on_2{
    opacity: 0;
}
.btn01-wrap a{
    text-decoration: none;
}
.btn01{
    font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
    font-weight: 700;
    text-align: center;
    width: 28vw;
    padding: .5vw;
    border-radius: 3.4vw;
    color: #fff;
    text-decoration: none;
    font-size: 3.4vw;
    font-weight: bold;
    box-shadow: .5vw .5vw .5vw #999;
    font-feature-settings: "palt";
}
.btn01pink{
    background-color: #cf376e;
}
.btn01blue{
    background-color: #2371bc;
}


/* main
----------------------------------- */




/* hero
----------------------------------- */
.hero{
    width: auto;
    background-color: #f9f4ee;
    padding-top: 8vw;
    padding-bottom: 5vw;
    position: relative;
}

.main-ttl_wrap{
    margin: 0 auto;
    height: 115vw;
    position: relative;
    transform: translatey(30vw);
	opacity: 0;
}
.main-ttl_wrap.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.main-ttl{
text-align: center;
padding-top: 5vw;

}
.main-ttl-character{
  position: absolute;
  animation: wobble-hor-bottom 4s 2s both infinite;
}

.main-ttl-character01{
    width: 35.6vw;
    top: 18vw;
    left: 5vw;
}
.main-ttl-character02{
    width: 30.2vw;
    top: 16vw;
    right: 22.4vw;
}

.main-ttl-character03{
    width: 24.6vw;
    top: 60vw;
    left: 30vw;
}

.main-ttl-character04{
    width: 24.6vw;
    top: 54vw;
    right: 5.3vw;
}

.hero_text_wrap{
    position: relative;
    margin: 0 auto;
    text-align: center;
    z-index: 1;

}

.hero h2{
    font-size: 4.4vw;
    line-height: 5.73vw;
    font-weight: 700;

}
.hero h2 .strong{
    font-size: 6vw;
    background: linear-gradient(transparent 60%, yellow 30%);
    display: inline-block;
}

.hero_taxt{
    margin-top: 5.5vw;
    font-size: 3.6vw;
    line-height: 5.5vw;
}

.hero_back-illust_wrap{
    position: absolute;
    height: 205vw;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    z-index: 0;

}
.hero_back-illust{
    position: absolute;
}
.hero_back-illust01{
    top: 4.8vw;
    left:7.5vw;
    width: 8.2vw;
}
.hero_back-illust02{
    top: 70vw;
    left:5vw;
    width: 7.6vw;
}
.hero_back-illust03{
    top: 88vw;
    left:14.1vw;
    width: 6.4vw;
}
.hero_back-illust04{
    top: 25vw;
    left:37vw;
    width: 8.2vw;
}
.hero_back-illust05{
    top: 79vw;
    left:55vw;
    width: 7.6vw;
}
.hero_back-illust06{
    top: 35vw;
    left:84vw;
    width: 6vw;
}
.hero_back-illust07{
    top: 100vw;
    right:2vw;
    width: 8vw;
}


.hero_btn01-wrap{
    margin: 5vw auto ;
    width: 68vw;
    text-align: center;
    position: relative;
    z-index: 1;
}

.hero_btn01_header{
    color: #ec5760;
    font-size: 5.5vw;
    margin-top: 7.5vw;
}

.hero_btn01{
   display: block;
   width: 66.6vw;
   background-color: #ec5760;
   border: #461e0a .75vw solid;
   border-radius: 7vw;
   padding: 3vw 0;
   margin: 2vw auto 0;
   font-weight: 700;
   text-align: center;
   animation: shake-top 4s  both infinite;

}

.hero_btn01_inner{
    width: 48vw;
    margin: 0 auto;
}


/* result
----------------------------------- */
.bold-line {
  position: relative;
  background-color: #fff;
  background-image:
    linear-gradient(-45deg,#461e0a 35%, transparent 35%,transparent 50%, #461e0a 50%,#461e0a 85%, transparent 85%,transparent);
  background-size: 20px 20px;
  height: 2.6vw;
}
.result{
    position: relative;
    transform: translatey(50vw);
    opacity: 0;
    overflow: hidden;
}
.result.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }


.result_part{
    padding: 5vw 5vw;
}
.result_wrap{
    text-align: center;
}
.result_title{
    position: relative;
}

.result_foldwrap
{
    display: none;
    
}
.result_title::after{
    position: absolute;
    content: "+";
    font-family: YakuHanJP,sans-serif;
    font-weight: 900;
    color: #461e0a;
    font-size: 13vw;
    top: 5vw;
    right: 0;
    height: 13vw;
    width: 13vw
}
.result_title.active::after{
    content: "-"; 
}

.result_primary_wrap{
    position: relative;
}
.result_lead{
    margin-top: 5vw;
    text-align: center;
    font-size: 4vw;
    line-height: 6.6vw;
}

.result_character{
    position: relative;
    margin-top: 5vw;
    animation: wobble-hor-bottom 4s 2s both infinite;
}

.result_back_ill{
    position: absolute;
}


.result_columnlead{
    text-align: center;
    font-size: 5.2vw;
    font-weight: 700;
    margin-top: 5vw;
}
.arrow01{
    width: 6.6vw;
    margin: 3vw auto;
}

.result_column{
    text-align: left;
    position: relative;
    margin-top: 6vw;
}

.result_column_content{
    display: flex;
    flex-direction: column;
    border: #461e0a .3vw solid;
    border-top-right-radius: 15vw;
    background-color: rgb(255 255 255 / 0.7);
    position: relative;
    padding-top: 3vw;
    margin-top: 8vw;
}

.content-txt_head{
    position: absolute;
    top: -3.7vw;
    left: 3.7vw;
    padding: 1vw 2vw;
    display: inline-block;
    background-color: #461e0a;
    color: #fff;
    border-radius: 5vw;
    font-size: 4vw;
    line-height: 4vw;
    font-weight: 700;
}
.content-txt_head::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  border-style: solid;
  border-width: 2vw 0 0 2vw;
  border-color: #461e0a transparent transparent;
  translate: calc(-50% + 0.4px) 100%;
}

.content-txt_ttl{
    font-size: 6.8vw;
    line-height: 8.6vw;
    font-weight: 700;
    padding-left: 4vw;
    padding-bottom: 3vw;
    border-bottom: #461e0a .7vw dashed ;
}

.content-txt{
    padding: 3vw 4vw 1vw;
    text-align: justify;
    letter-spacing: -0.02em;
}
.content-txt .asterisk{
    font-size: 3vw;
    vertical-align: top;
}
.note{
    text-indent: -3vw;
    padding: 0px 3vw 3vw 7vw ;
    font-size: 3vw;
    line-height: 5vw;
    font-weight: 700;
    letter-spacing: -0.02em;
    margin-top: 0;
}
.result_column_img_wrap{
    text-align: center;
    position: relative;
}
.result_column_illust{
    position: absolute;
    right: 2vw;
    top: -3vw;
}

/* resultA
----------------------------------- */
.resultA{
    background-color: #ffffa3;
}

.resultA_back_ill_01{
    top: 30vw;
    right: 8vw;
    width: 10vw;
}
.resultA_back_ill_02{
    top: 66vw;
    right: 5vw;
    width: 15vw;
}
.resultA_back_ill_03{
    top: 54.5vw;
    left: 8vw;
    width: 8vw;
}
.resultA_column01_illust01{
    width: 22vw;

}

.resultA_column02_illust01{
    width: 15vw;
    
}

.resultA_column03_illust01{
    width: 15vw; 
}



/* resultB
----------------------------------- */
.resultB{
    background-color: #f4cdc9;
}

.resultB_back_ill_01{
    top: 35vw;
    left: 10vw;
    width: 8vw;
}
.resultB_back_ill_02{
    top: 55vw;
    right: 5vw;
    width: 12vw;
}
.resultB_back_ill_03{
    top: 92vw;
    left: 4vw;
    width: 11vw;
}
.resultB_column01_illust01{
    top: 5vw;
    right: -2vw;
    width: 19vw;

}

.resultB_column02_illust01{
    top: 5vw;
    right: -2vw;
    width: 13vw;
    
}

.resultB_column03_illust01{
    top: -3vw;
    right: 2vw;
    width: 21vw;
}

.content-txt_B-02_Wrap{
    display: flex;
    padding: 0 3vw;
    justify-content: space-between;
    margin-top: 3vw;
}
.content-txt_B-02_inner{
    width: 37.7vw;
    padding: 2vw;
    background-color: #f4cdc9;
}
.content-txt_B-02_inner_ill{
    display: block;
    margin: 0 auto;
}
.content-txt_B-02_head{
    text-align: center;
    font-size: 4.5vw;
    font-weight: 700;
}
.content-txt_B-02_txt{
    text-align: justify;
    font-size: 3.7vw;
    line-height: 5.6vw;
}
.content-txt_B-02_note{
    text-align: justify;
    font-size: 3.2vw;
    line-height: 4.5vw;
    text-indent: -3.2vw;
    padding: 0px 0px 0px 5vw ;
}





/* resultC
----------------------------------- */
.resultC{
   background-color: #dbf5b8;
}

.resultC_back_ill_01{
    top: 57vw;
    left: 3vw;
    width: 18vw;
}
.resultC_back_ill_02{
    top: 40vw;
    right: 5vw;
    width: 11vw;
}
.resultC_back_ill_03{
    top: 89vw;
    right: 3vw;
    width: 10vw;
}
.resultC_column01_illust01{
    width: 14vw;

}

.resultC_column02_illust01{
    top: -4vw;
    right: 6vw;
    width: 9vw;
    
}

.resultC_column03_illust01{
    top: -1vw;
    right: 2vw;
    width: 12vw; 
}
.content-txt_ttl_C-02{
    text-indent: 3vw;
    padding-left: 0vw;
}
.content-txt_ttl_C-02 span{
    font-size: 4vw;
    letter-spacing: -0.02em;
}

/* resultD
----------------------------------- */
.resultD{
    background-color: #c9eff4;
}

.resultD_back_ill_01{
    top: 73vw;
    left: 6vw;
    width: 13vw;
}
.resultD_back_ill_02{
    top: 55vw;
    right: 10vw;
    width: 8vw;
}
.resultD_back_ill_03{
    top: 90vw;
    right: 10vw;
    width: 9vw;
}
.resultD_column01_illust01{
    top: 6vw;
    right: -2vw;
    width: 19vw;

}

.resultD_column02_illust01{
    top: 8vw;
    right: 4vw;
    width: 13vw;
    
}

.resultD_column03_illust01{
    top: -3vw;
    right: 3vw;
    width: 15vw;
}

/* explanation
----------------------------------- */

.explanation{
    background-color: #f9f4ee;
    text-align: center;
    padding-top: 7.4vw;
    padding-bottom: 30vw;
    padding-left: 3vw;
    padding-right: 3vw;
}
.explanation_subttl{
    font-size: 4.5vw;
    line-height: 6.6vw;
    font-weight: 700;
    letter-spacing: -0.02em;
    transform: translatey(50vw);
	opacity: 0;  
}
.explanation_subttl.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.explanation_ttl{
    text-indent: 5vw;
    font-size: 6.6vw;
    font-weight: 700;
    line-height: 6.6vw;
    background: linear-gradient(transparent 40%, yellow 30%);
    display: inline-block;
    margin-top: 0;
    transform: translatey(50vw);
	opacity: 0;
}
.explanation_ttl.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

/* catalog
----------------------------------- */
.catalog-container{
    transform: translatey(50vw);
	opacity: 0;
}
.catalog-container.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.catalog_ttl{
    position: relative;
    margin:8vw auto 0;
    font-size: 5.5vw;
    border: #461e0a 1px solid;
    width: 78vw;
    height: 10vw;
    padding: 2vw 0 2vw;
    font-weight: 700;

}

.catalog_ttl::after{
    position: absolute;
    content: "";
    top: 2px;
    left: 2px;
    width: 78vw;
    height: 10vw;
    border: #461e0a 1px solid;
}
.catalog_lead{
    margin-top: 10vw;
    font-size: 4.8vw;
    font-weight: 700;
}

.catalog-container{
    position: relative;
}

.swiper-container{
    width: 100%;
    position: relative;
    padding-bottom: 5vw;
}


.catalog-content{
    position: relative;
    width: 100%;
    margin: 3vw auto 0;
    z-index: 3;

}

.catalog-content::-webkit-scrollbar {
    width: 0;
  }
  
  .catalog-content::-webkit-scrollbar-track {
    background-color: #e4e4e4;
    border-radius: 100px;
  }
  
  .catalog-content::-webkit-scrollbar-thumb {
    background-color: #ed8d00;
    border-radius: 100px;
  }

.catalog-content-part{
    width: 39vw;
    margin: 2vw 2vw 2vw ;
    
}

.ccp-p{
    width: 39vw;
    border: #000 .2vw solid;
    overflow: hidden;
    background-color: #fff;
}
.catalog-cap{
    width: 39vw;
    margin-top: 2vw;
    font-size: 3.7vw;
    line-height: 5.6vw;
    text-align: justify;
}

.swiper-button-prev,
.swiper-button-next {
position: absolute;
 width: 6vw;
 height: 6vw;
 cursor: pointer;
 display: flex;
 align-items: center;
 justify-content: center;
 width: 6vw;
 height:  6vw;
 background-size:  6vw;

}
/* 次ページボタンのスタイル */
.swiper-button-next {
background-image: url(../img/typetest/typetest_scroll_next_pc.webp);
right: 2vw;
top: 29vw;
}
/* 前ページボタンのスタイル */
.swiper-button-prev {
background-image: url(../img/typetest/typetest_scroll_prev_pc.webp);
left: 2vw;
top: 29vw;
}
.swiper-button-prev:after,
.swiper-button-next:after {
 font-family: swiper-icons;
 font-size: var(--swiper-navigation-size);
 text-transform: none !important;
 letter-spacing: 0;
 text-transform: none;
 font-variant: initial;
}

/* explanation_content
----------------------------------- */
.explanation_content_wrap{
    transform: translatey(50vw);
	opacity: 0;
}
.explanation_content_wrap.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.explanation_content_part{
    margin-top: 10vw;
    border-top: #461e0a .5vw solid;
}
.explanation_content_part.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.explanation_content_part_head{
   display: inline-block;
   text-align: center;
   background-color: #f9f4ee;
   margin-top: -4vw;
   font-size: 5.6vw;
   font-weight: 700;
   padding: 0 3vw;
}

.explanation_content_part_txt{
    text-align: justify;
    margin-top: 3vw;
}

/* btn02
----------------------------------- */
.btn02-wrap{
    margin-top: 15vw;
    text-align: center;
}
.btn02-wrap a{
    text-decoration: none;
}
.btn02{
    font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
    font-weight: 700;
    margin: 7vw auto 0;
    text-align: center;
    width: 74.6vw;
    padding: 2.5vw;
    border-radius: 6vw;
    color: #fff;
    text-decoration: none;
    font-size: 4.2vw;
    font-weight: bold;
    box-shadow: .5vw .5vw .5vw #999;
    background-color: #461e0a;
}

/*tokuten
----------------------------------- */
.tokuten{
    position: relative;
    width: 100%;
    border-radius: 50vw 50vw 0 0/ 15vw 15vw 0 0;
    background-color: #eea17a;
    padding: 5vw 0 10vw;
    min-height: 50vw;
    text-align: center;
    padding-top: 5vw;
    padding-bottom: 5vw;
    overflow: hidden;
    transform: translateY(-15vw);
}



.tokuten_subttl{
    font-size: 5.3vw;
    font-weight: 700;
    letter-spacing: -0.02em;
    color: #000;
    transform: translatey(50vw);
	opacity: 0;
}
.tokuten_subttl.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.tokuten_ttl{
    text-indent: 3vw;
    font-size: 6.6vw;
    font-weight: 700;
    line-height: 6.6vw;
    background: linear-gradient(transparent 40%, yellow 30%);
    display: inline-block;
    margin-top: 3vw;
    color: #000;
    transform: translatey(50vw);
	opacity: 0;
}
.tokuten_ttl.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.tokuten-content{
    margin-top: 5vw;
    transform: translatey(50vw);
	opacity: 0;
}
.tokuten-content.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.tokuten-content img{
    width: 100vw;
}
.tokuten-content-part{
    margin-top: 5vw;
    position: relative;
}

/*flow
----------------------------------- */
.nagare{
    background-color: #f9f4ee;
    text-align: center;
    padding-top: 5vw;
    padding-bottom: 30vw;
    margin-top: -15vw;
    transform: translatey(50vw);
	opacity: 0;
}
.nagare.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }

.nagare_subttl{
    color: #000;
    font-size: 4.8vw;
    font-weight: 500;
}
.nagare_ttl{
    color: #000;
    font-size: 7vw;
    font-weight: 500;
    margin-top: 1vw;
}
.nagare_img{
    margin: 3vw auto 0;
}
.nagare_cap{
    font-size:2.6vw;
    margin-top: 2vw;
    text-align: end;
    padding-right: 5vw;

}

/*sodan
----------------------------------- */
.sodan{
    position: relative;
    width: 100%;
    border-radius: 50vw 50vw 0 0/ 15vw 15vw 0 0;
    background-color: #ffe784;
    padding: 5vw 0 10vw;
    min-height: 50vw;
    text-align: center;
    padding-top: 5vw;
    padding-bottom: 5vw;
    overflow: hidden;
    transform: translateY(-15vw);

}
.sodan_content{
    position: relative;
    transform: translatey(50vw);
	opacity: 0;
}
.sodan_content.anime_on {
	opacity: 1;
	transition: 0.3s;
	transform: translateY(0px);
	transition-timing-function: ease;
  }
.sodan_ttl{
    margin: 0 auto;
}
.sodan_txt{
    width: 83.5vw;
    font-size: 3.8vw;
    line-height: 6.4vw;
    text-align: justify;
    margin: 5vw auto 0;
}

.sodan_note{
    position: absolute;
    left: 8vw;
    top: 106vw;
    font-size: 2.6vw;
    line-height: 2.6vw;
    
}

.sodan_ill{
    position: relative
}
.sodan_img{
    margin-top: 5vw;
    position: relative
}
.sodan-btn_wrap{
    text-decoration: none;
}
.sodan-btn{
    width: 74.5vw;
    background-color: #d4466c;
    padding: 2vw;
    font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
    font-weight: 700;
    font-size: 4.6vw;
    line-height: 5.7vw;
    color: #fff;
    border-radius: 5vw;
    margin: 5vw auto 0;
    box-shadow: 1vw 1vw 1vw #ccc;
}

.totop-wrap_typetest{
    text-decoration: none;
  }
  .totop{
      position: relative;
      font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
      font-weight: 700;
      font-size: 6.8vw;
      line-height: 6.8vw;
      color: #e7541a;
      text-align: center;
  }
  .totop::after{
      position: absolute;
      content: "";
      background-image: url(../img/typetest/typetest_totopbtn_pc.webp);
      top:2.5vw;
      right:8vw;
      width: 6vw;
      height: 6vw;
      background-repeat: no-repeat;
  
  }
  .footer-typetest{
      margin-top: -15vw;
      background-color: #f9f4ee;
      padding-top: 5vw;
  }


  .typetest_modal_Q_wrap{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    width: 85.2vw;
    height: 118.5vw;
    background: url(../img/typetest/typetest_testback_01_sp.webp);
    background-size: cover;
    text-align: center;
    padding-top: 24vw;
    padding-bottom: 24vw;
    border-radius: 10vw;
  }
  .typetest_modal_Q {
    font-size: 5.33vw;
    line-height: 8.26vw;

  }

  .typetest_modal_btn_wrap{
    margin-top: auto;
  }
  .typetest_modal_btn_y{
    font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
    font-weight: 700;
    width: 65vw;
    height: 10vw;
    font-size: 5.2vw;
    color: #fff;
    background-color:#ec5760 ;
    border-radius: 5vw;
    border: #461e0a .75vw solid;
    margin: 0 auto;
    box-shadow: 1vw 1vw 1vw #ccc;
  }

  .typetest_modal_btn_n{
    font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
   font-weight: 700;
    width: 65vw;
    height: 10vw;
    font-size: 5.2vw;
    color: #fff;
    background-color:#459fd4 ;
    border-radius: 5vw;
    border: #461e0a .75vw solid;
    margin: 5vw auto;
    box-shadow: 1vw 1vw 1vw #ccc;
  }
  .typetest_modal_Q_wrap_close{
    position: absolute;
    width: 6vw;
    height: 6vw;
    top: 6%;
    right: 6%;
    text-decoration: none;
    font-size: 10vw;
    line-height: 0.75;
    padding-top: 0;
    text-align: center;
    color: #000;

  }

  .typetest_modal_result_wrap{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    width: 85.2vw;
    height: 118.5vw;
    text-align: center;
    padding-top: 5vw;
    padding-bottom: 2vw;
    border-radius: 10vw;
      
  }

   .typetest_modal_result_wrap_A{
      background-color: #ffffa3;
   }
   .typetest_modal_result_wrap_B{
    background-color: #f4cdc9;
    }
    .typetest_modal_result_wrap_C{
        background-color: #dbf5b8;
     }
     .typetest_modal_result_wrap_D{
        background-color: #c9eff4;
     }

     .typetest_modal_result_btn_wrap {
        margin-top: auto;
      }
      .foword_result {
        font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
        font-weight: 700;
        width: 80vw;
        height: 8vw;
        font-size: 4.2vw;
        color: #fff;
        background-color:#461e0a;
        border-radius: 5vw;
        margin: 0 auto;
        box-shadow: 1vw 1vw 1vw #ccc;
        padding-top: 1vw;
      }
    
      .foword_stert{
        font-family: YakuHanJP,"Zen Maru Gothic", sans-serif;
       font-weight: 700;
        width: 40vw;
        height: 7.5vw;
        font-size: 38vw;
        color: #fff;
        background-color:#fff ;
        border-radius: 3vw;
        border: #461e0a .65vw solid;
        margin: 3vw auto;
        box-shadow: 1vw 1vw 1vw #ccc;
      }
}

/* ----------------------------------------------
 * Generated by Animista on 2026-6-21 12:15:57
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation wobble-hor-bottom
 * ----------------------------------------
 */
 @keyframes wobble-hor-bottom {
    0%,
    25%,
    100% {
      -webkit-transform: translateX(0%);
              transform: translateX(0%);
      -webkit-transform-origin: 50% 50%;
              transform-origin: 50% 50%;
    }
    4% {
      -webkit-transform: translateX(-30px) rotate(-6deg);
              transform: translateX(-30px) rotate(-6deg);
    }
    8% {
      -webkit-transform: translateX(15px) rotate(6deg);
              transform: translateX(15px) rotate(6deg);
    }
    12% {
      -webkit-transform: translateX(-15px) rotate(-3.6deg);
              transform: translateX(-15px) rotate(-3.6deg);
    }
    16% {
      -webkit-transform: translateX(9px) rotate(2.4deg);
              transform: translateX(9px) rotate(2.4deg);
    }
    20% {
      -webkit-transform: translateX(-6px) rotate(-1.2deg);
              transform: translateX(-6px) rotate(-1.2deg);
    }
  }

/**
 * ----------------------------------------
 * animation shake-top
 * ----------------------------------------
 */
@keyframes shake-top {
    0%,
    25%,
    100% {
      -webkit-transform: rotate(0deg);
              transform: rotate(0deg);
      -webkit-transform-origin: 50% 0;
              transform-origin: 50% 0;
    }
    2.5% {
      -webkit-transform: rotate(2deg);
              transform: rotate(2deg);
    }
    5%,
    10%,
    15% {
      -webkit-transform: rotate(-4deg);
              transform: rotate(-4deg);
    }
    7.5%,
    12.5%,
    17.5% {
      -webkit-transform: rotate(4deg);
              transform: rotate(4deg);
    }
    20% {
      -webkit-transform: rotate(-2deg);
              transform: rotate(-2deg);
    }
    22.5% {
      -webkit-transform: rotate(2deg);
              transform: rotate(2deg);
    }
  }
  
  